<?php

namespace Drupal\single_field_entity_form;

interface SingleFieldEntityFormProviderInterface {

  /**
   * Field information.
   *
   * @return array
   *   Associative array keyed by entity type id, the value is a list of
   *   fields. For each of these fields an entity form will be generated
   *   with that field only.
   */
  public function getFields(): array;

  public function getWidgetDefinition(string $entity_type_id, string $field_name): array;

  /**
   * @return string
   *   A unique machine name. This form mode will be added to every editable
   *   entity. Customizing this mode is pointless as it will be overridden.
   */
  public function getFormMode(): string;

}
